dbXML API

## com.dbxml.db.client.tools.command
Class DropBase

    java.lang.Object
      com.dbxml.db.client.tools.command.CommandBase
          com.dbxml.db.client.tools.command.SingletonBase
              com.dbxml.db.client.tools.command.DropBase

All Implemented Interfaces:
  Command

Direct Known Subclasses:
  DropCollection, DropExtension, DropIndexer, DropTrigger

public abstract class DropBase
extends SingletonBase

DropBase serves as a base class for several removal Commands.

Constructor Summary
`DropBase()`

Methods inherited from class com.dbxml.db.client.tools.command.SingletonBase
`process`

Methods inherited from class com.dbxml.db.client.tools.command.CommandBase
`getCommandLine, setCommandLine`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DropBase

    public DropBase()

dbXML API

Copyright (c) 2004 The dbXML Group